Bug 210207 - system leaves failed gdm-binanary running at statup. [NEEDINFO]
system leaves failed gdm-binanary running at statup.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-10 15:26 EDT by Darwin H. Webb
Modified: 2009-01-08 23:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:34:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bpowell01: needinfo? (thethirddoorontheleft)


Attachments (Terms of Use)

  None (edit)
Description Darwin H. Webb 2006-10-10 15:26:59 EDT
Description of problem:
From rhgb to x statrt, monitor clicks hard 2 or 3 resets before x starts.
System monitoer shows 4 gdm-binanary's running.
SELinux avc shows 2 gdm failled on terminal console and 2 seccess. (see addition
info for avc messages)

Version-Release number of selected component (if applicable):
FC6 Desktop devel with all updates.

gdm-2.16.0-10.fc6
selinux-policy-2.3.18-8
selinux-policy-strict-2.3.18-8
selinux-policy-targeted-2.3.18-8
xorg-x11-apps-7.1-3.fc6
xorg-x11-drivers-7.1-3
xorg-x11-drv-acecad-1.1.0-2.1
xorg-x11-drv-aiptek-1.0.1-2
xorg-x11-drv-apm-1.1.1-2.1
xorg-x11-drv-ark-0.6.0-2.1
xorg-x11-drv-ast-0.81.0-3
xorg-x11-drv-ati-6.6.2-4.fc6
xorg-x11-drv-calcomp-1.1.0-1.1
xorg-x11-drv-chips-1.1.1-2.1
xorg-x11-drv-cirrus-1.1.0-2.fc6
xorg-x11-drv-citron-2.2.0-1.1
xorg-x11-drv-cyrix-1.1.0-4
xorg-x11-drv-digitaledge-1.1.0-1.1
xorg-x11-drv-dmc-1.1.0-2
xorg-x11-drv-dummy-0.2.0-2.1
xorg-x11-drv-dynapro-1.1.0-2
xorg-x11-drv-elo2300-1.1.0-1.1
xorg-x11-drv-elographics-1.1.0-1.1
xorg-x11-drv-evdev-1.1.2-2.1
xorg-x11-drv-fbdev-0.3.0-2
xorg-x11-drv-fpit-1.1.0-1.1
xorg-x11-drv-glint-1.1.1-4.1
xorg-x11-drv-hyperpen-1.1.0-2
xorg-x11-drv-i128-1.2.0-4
xorg-x11-drv-i740-1.1.0-2.1
xorg-x11-drv-i810-1.6.5-9.fc6
xorg-x11-drv-jamstudio-1.1.0-1.1
xorg-x11-drv-joystick-1.1.0-1.1
xorg-x11-drv-keyboard-1.1.0-2.1
xorg-x11-drv-magellan-1.1.0-1.1
xorg-x11-drv-magictouch-1.0.0.5-2.1
xorg-x11-drv-mga-1.4.1-5.fc6
xorg-x11-drv-microtouch-1.1.0-1.1
xorg-x11-drv-mouse-1.1.1-1.1
xorg-x11-drv-mutouch-1.1.0-2
xorg-x11-drv-neomagic-1.1.1-2.1
xorg-x11-drv-nsc-2.8.1-2.1
xorg-x11-drv-nv-1.2.0-4.fc6
xorg-x11-drv-palmax-1.1.0-1.1
xorg-x11-drv-penmount-1.1.0-2.1
xorg-x11-drv-rendition-4.1.0-3.1
xorg-x11-drv-s3-0.4.1-2.1
xorg-x11-drv-s3virge-1.9.1-2.1
xorg-x11-drv-savage-2.1.1-5.fc6
xorg-x11-drv-siliconmotion-1.4.1-2.1
xorg-x11-drv-sis-0.9.1-7
xorg-x11-drv-sisusb-0.8.1-4.1
xorg-x11-drv-spaceorb-1.1.0-1.1
xorg-x11-drv-summa-1.1.0-1.1
xorg-x11-drv-tdfx-1.2.1-3.1
xorg-x11-drv-trident-1.2.1-3.fc6
xorg-x11-drv-tseng-1.1.0-3.1
xorg-x11-drv-ur98-1.1.0-1.1
xorg-x11-drv-v4l-0.1.1-4
xorg-x11-drv-vesa-1.2.1-4
xorg-x11-drv-vga-4.1.0-2.1
xorg-x11-drv-via-0.2.1-7
xorg-x11-drv-vmmouse-12.4.0-2.1
xorg-x11-drv-vmware-10.13.0-2.1
xorg-x11-drv-void-1.1.0-3.1
xorg-x11-drv-voodoo-1.1.0-3.1
xorg-x11-filesystem-7.1-2.fc6
xorg-x11-fonts-100dpi-7.1-2
xorg-x11-fonts-75dpi-7.1-2
xorg-x11-fonts-base-7.1-2
xorg-x11-fonts-ISO8859-1-100dpi-7.1-2
xorg-x11-fonts-ISO8859-1-75dpi-7.1-2
xorg-x11-fonts-misc-7.1-2
xorg-x11-fonts-truetype-7.1-2
xorg-x11-fonts-Type1-7.1-2
xorg-x11-font-utils-7.1-2
xorg-x11-server-utils-7.1-4.fc6
xorg-x11-server-Xorg-1.1.1-47.fc6
xorg-x11-twm-1.0.1-3.1
xorg-x11-utils-7.1-2.fc6
xorg-x11-xauth-1.0.1-2.1
xorg-x11-xfs-1.0.2-3.1
xorg-x11-xinit-1.0.2-12.fc6
xorg-x11-xkb-utils-1.0.2-2.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
4 gdm-binanary processes with avc messages.
Hard resets on monitoer

Expected results:
2 gdm processes?
no avc messages for gdm

Additional info:
type=USER_ERR msg=audit(1160507266.069:8): user pid=2686 uid=0 auid=4294967295
subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='PAM: bad_ident acct=? :
exe="/usr/sbin/gdm-binary" (hostname=?, addr=?, terminal=pts/0 res=failed)'
type=USER_ERR msg=audit(1160507270.281:9): user pid=2686 uid=0 auid=4294967295
subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='PAM: bad_ident acct=? :
exe="/usr/sbin/gdm-binary" (hostname=?, addr=?, terminal=? res=failed)'
type=USER_AUTH msg=audit(1160507296.150:10): user pid=2772 uid=0 auid=4294967295
subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='PAM: authentication
acct=darwinhwebb : exe="/usr/sbin/gdm-binary" (hostname=?, addr=?, terminal=:0
res=success)'
type=USER_ACCT msg=audit(1160507296.150:11): user pid=2772 uid=0 auid=4294967295
subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='PAM: accounting
acct=darwinhwebb : exe="/usr/sbin/gdm-binary" (hostname=?, addr=?, terminal=:0
res=success)'
Comment 1 Darwin H. Webb 2006-10-28 15:04:51 EDT
This is still occurring after all FC6 updates as of Oct 27th.
rhgb stills fails, it starts 1 phamtom and the logon screen starts another
phamtom dm-bin.

rhgb fials on Pent iv, Intel865BGF but works on Pent III, tyan m/b.
Comment 2 Brian Powell 2008-05-06 21:38:48 EDT
Based on the age of this bug report, can you please verify that this bug still
exists in Fedora 7 or Fedora 8.
Comment 3 Bug Zapper 2008-11-26 02:02:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-08 23:34:37 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.